POST /auth/token/next

Exchanges a refresh token for a new JWT token pair.

text/plain

Body Required

Refresh token request

object object

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • access_token string
    • refresh_token string
    • token_type string
  • 400 application/json

    Bad Request

    Additional properties are allowed.

  • 401 application/json

    Unauthorized

    Additional properties are allowed.

POST /auth/token/next
curl \
 --request POST 'https://agentengine.mongodb.com/auth/token/next' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: text/plain"
Response examples (200)
{
  "access_token": "string",
  "refresh_token": "string",
  "token_type": "string"
}
Response examples (400)
{}
Response examples (401)
{}